<?php
/*
'#################################################################
'# 程序名称：中环CMSV2.0
'# 授权方式：免费软件
'# 作者：善
'# 联系QQ:9118847
'# 作者网站:http://www.ps173.com
'# 发布时间：2015-6-10
'# 声明：欢迎广大的PHP爱好者一起共同探讨
'# 声明：各种用途均可免费使用、自由传播，但必须保留程序代码中的版权信息。
'#################################################################
 */

//后台设置入口
class SetAction extends CommonAction{
	private $set;

	public function __construct(){
		parent::__construct();
		$this->set = new SetModel();
	}
		//检测数据是否合法
	public function check($post){
		$result = true;

		if(!val::check($post['webname'])){
			$this->msg('网站名称不能为空');
			$result = false;
		}

		if(!val::number($post['width'])){
			$this->msg('缩略图的宽度必须为数字');
			$result = false;
		}

		if(!val::number($post['height'])){
			$this->msg('缩略图的高度必须为数字');
			$result = false;
		}

		if(!val::check($post['width'])){
			$this->msg('缩略图的宽度不能为空');
			$result = false;
		}

		if(!val::check($post['height'])){
			$this->msg('缩略图的高度不能为空');
			$result = false;
		}

		if(!val::check($post['size'])){
			$this->msg('每页显示数量不能为空');
			$result = false;
		}

		if(!val::number($post['size'])){
			$this->msg('每页显示数量必须为数字');
			$result = false;
		}

		return $result;

	}
		//输出后台基本设置页面
	public function index(){
		$this->assign("one", $this->set->find());
		$this->display();
	}
		//修改设置
	public function update(){
		if(isset($_POST['sub'])){
			if($this->check($_POST)){
				if($this->set->update($_POST)){
					$this->msg('修改成功');
				}else{
					$this->msg('数据保持原样');
				}
			}else{
				$this->msg('修改失败');
			}
		}
	}
	
	//更新缓存
	public function clean(){
		$dirfile = deldir(ZH_PATH."Public/cache/");
		if(!file_exists($dirfile)){
			$this->msg('缓存更新成功!');
		}else{
			$this->msg('缓存更新失败!');
		}
	}

}

?>